Posts
Query Posts
Search and filter posts with structured filter specs.
AuthorizationBearer <token>
In: header
Header Parameters
x-tenant-id?string|null
filters?
Default
[]search?string|null
sort_by?string
Default
"relevance_score"Value in
"relevance_score" | "created_at" | "posted_at" | "engager_count"sort_dir?string
Default
"desc"Value in
"asc" | "desc"page?integer
Default
1Range
1 <= valuepage_size?integer
Default
50Range
1 <= value <= 100include_unpublished?boolean
Default
falseResponse Body
application/json
application/json
curl -X POST "https://api.obert.io/api/posts/query" \ -H "Content-Type: application/json" \ -d '{}'{
"data": [
{
"id": "string",
"linkedin_url": "string",
"activity_id": "string",
"post_data": {},
"added_by_user_id": "string",
"engager_count": 0,
"high_fit_count": 0,
"discovery_source": "string",
"discovery_keyword": "string",
"signal_id": "string",
"signal_type": "string",
"signal_name": "string",
"author_lead_id": "string",
"author_account": {
"account_id": "string",
"name": "string",
"logo_url": "string",
"linkedin_url": "string",
"linkedin_username": "string",
"industry": "string",
"staff_count_range": "string",
"title": "string",
"tagline": "string",
"founded_year": 0,
"description": "string",
"location": "string"
},
"is_competitor_post": false,
"competitor_analysis": {},
"prefilter_passed": true,
"prefilter_details": {
"engagement": {
"total": 0,
"threshold": 0,
"passed": false
},
"language": {
"detected": "string",
"allowed": [],
"matched": false,
"skipped": false,
"reason": "string"
},
"content_relevance": {
"relevant": false,
"reasoning": "string"
},
"author_relevance": {
"headline": "string",
"relevant": false,
"reasoning": "string"
},
"author": {
"urn": "string",
"connections": 0,
"min_connections": 0,
"connections_ok": false,
"followers": 0,
"min_followers": 0,
"followers_ok": false,
"passed": false,
"skipped": false,
"reason": "string"
},
"location": {
"country": "string",
"full": "string",
"allowed": [],
"matched": false
}
},
"list_entries": [],
"posted_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"total": 0,
"has_more": false,
"page": 1,
"page_size": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}